package dev.kske.chess.event;

import dev.kske.chess.board.Move;

/**
 * Project: <strong>Chess</strong><br>
 * File: <strong>MoveEvent.java</strong><br>
 * Created: <strong>7 Aug 2019</strong><br>
 * Author: <strong>Kai S. K. Engelbart</strong>
 */
public class MoveEvent implements Event<Move> {

	private final Move move;

	public MoveEvent(Move move) {
		this.move = move;
	}

	@Override
	public Move getData() { return move; }
}
